body {
    overflow: hidden;
}

img {
    position: absolute;
    width: 130px;
}

@-webkit-keyframes goldfish {
    0% {
        top: 150px;
        left: 50px;
        opacity: 1;
        transform: rotate(30deg);
    }

    10% {
        top: 50px;
        left: 150px;
        opacity: 0;
        transform: rotate(50deg);
    }    

    15% {
        top: 70px;
        left: 300px;
        opacity: 0;
        transform: rotate(100deg);
    }    

    20% {
        top: 130px;
        left: 430px;
        opacity: 1;
        transform: rotate(170deg);
    }     

    25% {
        top: 200px;
        left: 420px;
        opacity: 1;
        transform: rotate(160deg);
    }     

    30% {
        top: 300px;
        left: 430px;
        opacity: 1;
        transform: rotate(200deg);
    }     

    35% {
        top: 340px;
        left: 400px;
        opacity: 1;
        transform: rotate(200deg);
    }     

    40% {
        top: 530px;
        left: 320px;
        opacity: 0;
        transform: rotate(270deg);
    }   

    45% {
        top: 570px;
        left: 160px;
        opacity: 0;
        transform: rotate(290deg);
    } 

    50% {
        top: 400px;
        left: 50px;
        opacity: 1;
        transform: rotate(330deg);
    }     

    55% {
        top: 300px;
        left: 10px;
        opacity: 0;
        transform: rotate(330deg);
    } 

    65% {
        top: 80px;
        left: 50px;
        opacity: 0;
        transform: rotate(430deg);
    }  

    70% {
        top: 0px;
        left: 100px;
        opacity: 1;
        transform: rotate(500deg);
    }      

    75% {
        top: 35px;
        left: 200px;
        opacity: 1;        
        transform: rotate(520deg);
    }

    80% {
        top: 60px;
        left: 240px;
        opacity: 1;
        transform: rotate(560deg);
    }     

    85% {
        top: 120px;
        left: 260px;
        opacity: 0;
        transform: rotate(600deg);
    }     

    90% {
        top: 185px;
        left: 100px;
        opacity: 1;
        transform: rotate(620deg);
    }      

    100% {
        top: 150px;
        left: 50px;
        opacity: 1;
        transform: rotate(743deg);
    }         
}

#goldfish {
    -webkit-animation-name: goldfish; /* Uses the name of the animation above to apply it to an element. */
    -webkit-animation-duration: 15s; /* Speed of animation. */
    -webkit-animation-iteration-count: infinite; /* The animation will repeat forever. */
}